__gnu_pbds::detail::stored_data< _Tv, null_type > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

Inheritance diagram for __gnu_pbds::detail::stored_data< _Tv, null_type >:
[legend]

## Public Types

typedef _Tv | value_type

## Public Attributes

value_type | m_value

## Detailed Description

template<typename _Tv>
struct __gnu_pbds::detail::stored_data< _Tv, null_type >

Specialization for representation of stored data of just value type.

Definition at line 101 of file types_traits.hpp.

## Member Typedef Documentation

## value_type

template<typename _Tv >

typedef _Tv __gnu_pbds::detail::stored_value< _Tv >::value_type

inherited

Definition at line 80 of file types_traits.hpp.

## Member Data Documentation

## m_value

template<typename _Tv >

value_type __gnu_pbds::detail::stored_value< _Tv >::m_value

inherited

Definition at line 81 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp